HTML::Tidy::Message(3)

NAME
HTML::Tidy::Message - Message object for the Tidy functionality

SYNOPSIS
See HTML::Tidy for all the gory details.

EXPORTS
None. It's all object-based.

METHODS
Almost everything is an accessor.

  new( $file, $line, $column, $text )
Create an object. It's not very exciting.

  where()
Returns a formatted string that describes where in the file the error has occurred.

For example,

    (14:23)

for line 14, column 23.

The terrible thing about this function is that it's both a plain ol' formatting function as in

    my $str = where( 14, 23 );

AND it's an object method, as in:

    my $str = $error->where();

I don't know what I was thinking when I set it up this way, but it's bad practice.

  as_string()
Returns a nicely-formatted string for printing out to stdout or some similar user thing.

  file()
Returns the filename of the error, as set by the caller.

  type()
Returns the type of the error. This will either be "TIDY_ERROR", or "TIDY_WARNING".

  line()
Returns the line number of the error, or 0 if there isn't an applicable line number.

  column()
Returns the column number, or 0 if there isn't an applicable column number.

  text()
Returns the text of the message. This does not include a type string, like "Info: ".

COPYRIGHT & LICENSE
Copyright 2005-2017 Andy Lester.

This program is free software; you can redistribute it and/or modify it under the terms of the Artistic License v2.0.

AUTHOR
Andy Lester, "<andy@petdance.com>"